org.apache.mina.transport.vmpipe

## Class VmPipeConnector

- java.lang.Object
- - org.apache.mina.core.service.AbstractIoService
  - - org.apache.mina.core.service.AbstractIoConnector
    - - org.apache.mina.transport.vmpipe.VmPipeConnector

- All Implemented Interfaces:
    IoConnector, IoService

      public final class VmPipeConnector
      extends AbstractIoConnector

  Connects to `IoHandler`s which is bound on the specified `VmPipeAddress`.
  Author:
    Apache MINA Project

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.mina.core.service.AbstractIoService

      `AbstractIoService.ServiceOperationFuture`

  - ### Field Summary

    - ### Fields inherited from class org.apache.mina.core.service.AbstractIoService

      `disposalLock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmPipeConnector()` Creates a new instance.
    `VmPipeConnector(Executor executor)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConnectFuture` | `connect0(SocketAddress remoteAddress, SocketAddress localAddress, IoSessionInitializer<? extends ConnectFuture> sessionInitializer)` Implement this method to perform the actual connect operation.
    `protected void` | `dispose0()` Implement this method to release any acquired resources.
    `VmPipeSessionConfig` | `getSessionConfig()` Returns the default configuration of the new `IoSession`s created by this service.
    `TransportMetadata` | `getTransportMetadata()` Returns the `TransportMetadata` that this service runs on.

    - ### Methods inherited from class org.apache.mina.core.service.AbstractIoConnector

      `connect, connect, connect, connect, connect, connect, finishSessionInitialization0, getConnectTimeout, getConnectTimeoutCheckInterval, getConnectTimeoutMillis, getDefaultRemoteAddress, setConnectTimeout, setConnectTimeoutCheckInterval, setConnectTimeoutMillis, setDefaultRemoteAddress, toString`

    - ### Methods inherited from class org.apache.mina.core.service.AbstractIoService

      `addListener, broadcast, dispose, dispose, executeWorker, executeWorker, getActivationTime, getFilterChain, getFilterChainBuilder, getHandler, getListeners, getManagedSessionCount, getManagedSessions, getScheduledWriteBytes, getScheduledWriteMessages, getSessionDataStructureFactory, getStatistics, initSession, isActive, isDisposed, isDisposing, removeListener, setFilterChainBuilder, setHandler, setSessionDataStructureFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.core.service.IoService

      `addListener, broadcast, dispose, dispose, getActivationTime, getFilterChain, getFilterChainBuilder, getHandler, getManagedSessionCount, getManagedSessions, getScheduledWriteBytes, getScheduledWriteMessages, getSessionDataStructureFactory, getStatistics, isActive, isDisposed, isDisposing, removeListener, setFilterChainBuilder, setHandler, setSessionDataStructureFactory`

- - ### Constructor Detail

    - #### VmPipeConnector

          public VmPipeConnector()

      Creates a new instance.

    - #### VmPipeConnector

          public VmPipeConnector(Executor executor)

      Creates a new instance.

  - ### Method Detail

    - #### getTransportMetadata

          public TransportMetadata getTransportMetadata()

      Description copied from interface: `IoService`
      Returns the `TransportMetadata` that this service runs on.

    - #### getSessionConfig

          public VmPipeSessionConfig getSessionConfig()

      Description copied from class: `AbstractIoService`
      Returns the default configuration of the new `IoSession`s created by this service.
      Specified by:
        `getSessionConfig` in interface `IoService`
      Overrides:
        `getSessionConfig` in class `AbstractIoService`

    - #### connect0

          protected ConnectFuture connect0(SocketAddress remoteAddress,
                               SocketAddress localAddress,
                               IoSessionInitializer<? extends ConnectFuture> sessionInitializer)

      Description copied from class: `AbstractIoConnector`
      Implement this method to perform the actual connect operation.
      Specified by:
        `connect0` in class `AbstractIoConnector`
        `localAddress` - `null` if no local address is specified

    - #### dispose0

          protected void dispose0()
                           throws Exception

      Description copied from class: `AbstractIoService`
      Implement this method to release any acquired resources. This method is invoked only once by `AbstractIoService.dispose()`.
      Specified by:
        `dispose0` in class `AbstractIoService`
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.